This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.245. __nv_normcdfinvf

Prototype:

    float @__nv_normcdfinvf(float %x)

Description:

Calculate the inverse of the standard normal cumulative distribution function for input argument `y`, Φ − 1 ( y ) . The function is defined for input values in the interval ( 0 , 1 ) .

Returns:

- __nv_normcdfinvf(0) returns − ∞ .

- __nv_normcdfinvf(1) returns + ∞ .

- __nv_normcdfinvf(`x`) returns NaN if `x` is not in the interval [0,1].

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes